<?php 
$page = 3;
include "template_top.php"; 
?>

	<div id="page">
		<div id="page-bgtop">
			<div id="page-bgbtm">
				<div id="content">
					<div class="post">
						<h2 class="title"><a href="#">Rationale Paper </a></h2>
						<div class="entry">
							<p>My journey began far from the world of education. I graduated from college with a BA in Psychology and little idea of what I wanted to do with it. My passion for technology led me to start working as a project manager for a company that developed investment simulation games to teach the general public about investing. We developed a version of the game for high school students, along with some instructional materials, and my love for technology-based education was born. </p>
							<p>While I enjoyed what I was doing, I wanted to be more involved in educational projects. I also felt I'd learned most of what I was doing informally and wanted a more theoretical background in education. However, I was juggling a job and a family and wasn't sure how school would fit in to all that, so I decided to find an online program that I could work around my existing schedule. I researched many online programs, and most of the courses sounded vaguely theoretical and fully disconnected from practical application. When I found the EDTECH program at BSU, I knew I'd found the perfect combination of practical application of educational theory, using technology tools.</p>
							<p>During my time at BSU, I've been able to indulge my love of stories and games and learn how to use them as educational tools. I created a Digital Storytelling summer camp for middle school students where we focus on story structure, plot, and character development in a completely visual way. Students have a chance to create stories using comics, animated cartoons, and 3D animation and to see how each medium helps shape the stories they create. </p>
							<p>I am now looking for a new job where I can apply the skills and knowledge I've gained in the program. I've developed a nice portfolio of multimedia projects including videos and game ideas, and have built up a PLN using Twitter (feel free to connect with me - @edtechtoday) and other social media platforms. I enjoy continuing to learn about the field and researching technology tools, as well as blogging about it all. I hope to continue to grow as an educator and a lifelong learner. </p>

						<h3>STANDARD 1: DESIGN</h3>
							<p><i>Candidates will demonstrate the knowledge, skills, and dispositions to design conditions for learning by applying principles of instructional systems design, message design, instructional strategies, and learner characteristics.</i></p>

						<h3>1.1 Instructional Systems Design</h3>
							<p>Instructional Systems Design (ISD) is an organized procedure that includes the steps of analyzing, designing, developing, implementing, and evaluating instruction (AECT, 2000). For the final project in EDTECH 503 I designed an introductory lesson on web design called <a href="http://www.lifelong-learner.com/BSU/papers/Gopin-ID03.pdf" target="_blank">Beginning Web Design: Creating a First Web Page</a> consisting of the basic tasks students would have to master in order to be able to complete the web developer course online, to determine whether they were ready for online learning. I developed an online learning module that would be implemented by a few of the other teachers in the training company where I worked. This project used the Seels and Glasgow ISD model, which is a model based on the idea that design occurs in the context of project management (Gustafson and Branch, 2002). Their model is very appropriate for developing instruction that will be used by other people since it promotes the diffusion of products and increases potential for adoption of the final product. </p>
							<p>Instructional design can be thought of as preparing for a photo shoot. While the explosive growth of digital camera choices has made the act of pointing and shooting much easier, it still requires reflection and planning to take professional level photos. Many teachers can walk into a classroom with an idea of what they want to teach, and then improvise on the spot. However, for a photographer looking for shots that people can hang on their walls or an instructional designer creating a course that can be run without their input, it is important to keep the end goals in mind during the entire process. A plan must be thought out in advance, whether it covers course assessment or location lighting, to stay focused on the stated goals. This is especially true when developing training that will be implemented by a third party and the designer will not be present to keep training on its intended track. I used elements of this ID plan when I created the online version of my F2F web development course, which was taught the next year by another teacher. She appreciated the organization and thought that had gone into the course, and I received good feedback on the course design from the owner of the school as well.</p>

						<h3>1.2 Message Design</h3>
							<p>Message design involves planning for the manipulation of the physical form of the message (AECT, 2000). When designing the form of instructional visuals it is often necessary to balance different, sometimes conflicting, needs. We want our graphics to be fun and attract attention, but they also have to be clear to readers. Lohr (2008) explains that by not adhering to multimedia principles you can cause a split attention effect that makes it harder for the learner to absorb information. However, when creating a video, it is considered good practice from an accessibility perspective to include sub titles for the hearing impaired. So these two "rules" are in direct conflict with each other and a designer has to make a decision based on what is known about the needs of the target audience.</p>
							<p>For my EDTECH 506 final project I developed a course for teachers on <a href="http://www.lifelong-learner.com/ClassroomTech/" target="_blank">Using Web 2.0 Tools in Education</a>. The course can either be used by a facilitator instructing teachers in the use of web 2.0 tools in the classroom, or it can be used as a resource by individual teachers looking for guidance on integrating technology into their lesson plans. This course was designed with the goal of universal design. Trenholm (2001) explains that although many nonverbal codes are culturally based, many are universally understood. Whenever possible, I used icons that would be universally understood by teachers using this website. This is especially important since this course was designed for American-born teachers living in Israel, Israeli-born teachers, and Israeli-born teachers with Anglo parents from several different countries. Universal design was therefore the driving principle behind the course design.</p>
							<p>Design in this case is more than just creating graphics. Design, or Instructional Design, is a planning process that improves the quality of the final product (Smith & Ragan, 2005). It involves converting requirements into information following the project specifications. I began development of this course by writing a unit plan of study, outlining course goals and media I wanted to incorporate into the course. I then designed individual graphics that explained the basic course concepts, and then developed a website around those concepts. The site menu is meant to be followed in a linear manner, although individual lessons are clearly marked and broken down so that users can skip around the site if they are looking for specific information. Parts of the navigation are also included within site pages at the bottom; this repetition reinforces the overall website organization and keeps users from getting lost in the middle of a lesson (Krug, 2006).</p>

						<h3>1.3 Instructional Strategies</h3>
							<p>Instructional strategies are specifications for selecting and sequencing events and activities within a lesson (AECT, 2000). In EDTECH 502 I completed a WebQuest called <a href="http://www.lifelong-learner.com/aswebquest.php" target="_blank">Getting to Know Asperger's</a> designed for middle school students that lets students understand what it might be like to have Asperger's. WebQuests are a natural example of this standard, since they consist of structured lessons that follow a specific sequence. I chose to begin wiht a brief quiz so students would be able to see what they already knew about Asperger's and also be interested in learning more about the things they did not know. I then directed them to do some open ended research, and provided multiple methods of organizing what they learned through research. The final step was to evaluate their own work and reflect, and to share their work with fellow students so they gain an additional perspective on the topic. </p>
							<p>I found that the structure of a webquest, guiding students through open ended resources and activities, was very well suited for this type of experiential learning. The structure I used for the lesson naturally led students from a broad overview of the experience down to the a detailed view. I haven't had the opportunity to use it with a class yet, but I hope to someday so I can get real-world feedback.</p>

						<h3>1.4 Learner Characteristics</h3>
							<p>Learner characteristics are those facets of the learner's experiential background that impact the effectiveness of a learning process (AECT, 2000). In EDTECH 597 I explored characteristics of the <a href="http://www.lifelong-learner.com/BSU/papers/597-NewGenLearners.html" target="_blank">New Generation of Learners</a> who have been raised with technology and have different expectations of learning than did previous generations. The question facing educators today is how best to reach these students, and more importantly how to cater to their different needs. Despite the presence of technology in the classroom for nearly 30 years, in one form or another, the schooling system hasn't really changed that much. Learning should definitely be geared towards the "new" student who not only is used to more media consumption than their parents, but can also handle more stimulation than their parents' generation.</p>
							<p>Writing this paper helped me understand the unique needs of learners utilizing instructional multimedia, which I'd like to someday be involved in developing. While there is a lot of overlap between traditional learning and learning with edutainment, creating instructional media has its own requirements that should guide developers.</p>

						<h3>STANDARD 2: DEVELOPMENT</h3>
							<p><i>Candidates demonstrate the knowledge, skills, and dispositions to develop instructional materials and experiences using print, audiovisual, computer-based, and integrated technologies.</i></p>
						<h3>2.1 Print Technologies</h3>
							<p>Print technologies are ways to produce or deliver materials, such as books and static visual materials, primarily through mechanical or photographic printing processes (AECT, 2000). For EDTECH 506 I created a <a href="http://www.lifelong-learner.com/BSU/papers/533-VideoInEducation.html" target="_blank">poster explaining the benefits of Video in Learning</a>. Space was a useful tool for this project since whitespace can be used for clarifying text, and I had a lot of text for this graphic (Lohr, 2008). I put related text near each  other, but left enough space between them so reading would be easier on the eye. I used an asymmetrical layout for this poster, because as Lohr (2008) explains, symmetrical layouts can be static and less interesting. I generally find it easier to compose pleasing asymmetrical layouts.</p>
							<p>The audience for this graphic is a group of experienced teachers learning how to integrate technology into the classroom. The purpose of the image is to show the skills that students learn by working on collaborative projects. The pleasing layout effectively transmits a large amount of information within a confined space. Additionally, some of the teachers are nervous about using computers with their students, and presenting ideas in a visually appealing way helps reduce some of their anxiety.</p>

						<h3>2.2 Audiovisual Technologies</h3>
							<p>Audiovisual technologies are ways to produce or deliver materials by using mechanical devices or electronic machines to present auditory and visual messages (AECT, 2000). In EDTECH 533 I created a vlog debating the <a href="http://www.youtube.com/watch?v=QEJ6keqD3Qk" target="_blank">Pros and Cons of Video in Education</a>. I combined audio, images, and video to create this project, as described in this standard. The recording was done using a web cam for part of the video, and using Camtasia for other parts. This video combines audio with visual representations of the topics being discussed. The visuals were chosen to reflect the meaning of the audio in the vlog to convey one unified message. As described in the standard, the message is delivered electronically. This project was a very satisfying way for me to express my thoughts in a visual way, and made me realize how much I enjoy editing videos in an entertaining way. </p>

						<h3>2.3 Computer-Based Technologies</h3>
							<p>Computer-based technologies are ways to produce or deliver materials using microprocessor-based resources (AECT, 2000). In EDTECH 521 I created an asynchronous online lesson in forensic science on <a href="http://www.lifelong-learner.com/forensics/fingerprints.html" target="_blank">Fingerprints</a>. This online lesson utilizes a variety of computer based tools, including text, downloadable documents, videos, screencasts, ebooks, an interactive game, and an online quiz. I was able to really push the boundaries of what students can accomplish working individually, when they have so many different types of resources. </p>
							<p>For EDTECH 533 I put together Kid Detectives - an <a href="http://www.youtube.com/watch?v=pPKD73QRqH0" target="_blank">interactive non-linear story</a> by linking video clips in Youtube. I created the animations for the video using Scratch, a downloadable program, and then recorded them using Camtasia since Scratch doesn't have an output to video option. Working with this non-linear type of storytelling inspired me to include a non-linear choose your own adventure project in my Digital Storytelling summer camp. Some of the students had a good time creating completely different kinds of stories than they were used to and got really creative with the format. </p>

						<h3>2.4 Integrated Technologies</h3>
							<p>Integrated technologies are ways to produce and deliver materials which encompass several forms of media under the control of a computer (AECT, 2000). In EDTECH 502 I designed It's a Small World - a <a href="http://www.lifelong-learner.com/virtualtour/start.html" target="_blank">virtual tour for a science class</a> which integrates text, photos, animations, and video. In this project, students read introductory text about a specific topic and can look at pictures. In addition, each topic has a video that shows students examples of what they have been reading about. For example, one page of the website describes DNA, and has a moving image of a rotating strand of DNA. Additionally, there is a video that simulates a journey inside a human body for an up close look at DNA. I chose this project because it illustrates how different forms of media can be combined to create an experience that would otherwise be very difficult to create. Very few middle school classrooms have microscopes powerful enough to look at individual strands of DNA, yet simpy reading a description of the structure is not enough to convey the reality to students. The combination of text, photos, animations, and videos facilitates learning on a much deeper level than is otherwise possible. I had a lot of fun creating this project, because I really enjoy coming up with creative ways to teach science concepts. While I do not teach a science class, I often share scientific explanations with my kids, and they thoroughly enjoyed this project when I was finished with it. </p>

						<h3>STANDARD 3: UTILIZATION</h3>
							<p><i>Candidates demonstrate the knowledge, skills, and dispositions to use processes and resources for learning by applying principles and theories of media utilization, diffusion, implementation, and policy-making.</i></p>

						<h3>3.1 Media Utilization</h3>
							<p>Media utilization is the systematic use of resources for learning (AECT, 2000). Katrin Becker of the University of Calgary states "Successful games teach us to play in the manner we learn best (Gibson, Aldrich, & Prensky, eds)." In EDTECH 532 I wrote an outline for a game called <a href="http://www.lifelong-learner.com/junkball/" target="_blank">JunkBall</a> to teach about recycling. JunkBall is a game that relies on speed and reflex, known as a "twitch-speed" game. This genre of game is good at developing a player's intuition about a set of rules or a specific scenario. Repeated gameplay creates an instinctive response in players. JunkBall was developed to encourage players to become so accustomed to sorting recyclables they start to do it without thinking and begin separating garbage in real life and recycling more.</p>
							<p>Multimedia is an effective learning tool because it is engaging, activates emotion, accesses multiple sensory systems, and eliminates the need to process text-based information (Alessi & Trollip, 2001), which is helpful for students with reading disabilities or students learning in a foreign language. It also allows us to experience things we could not otherwise experience in a classroom, like watching wild animals hunt or see re-enactments of historical events. Instead of describing the laws of motion to students, we can show them how to launch a space shuttle. We can more easily learn about other cultures and countries when we can see what they're really like, rather than reading someone else's description of them. </p>
							<p>When I created the video explaining what <a href="http://www.youtube.com/watch?v=It3uonqC9i8" target="_blank">machinima</a> is for EDTECH 532 I wanted to be creative and funny to reflect my own experience working with machinima, without taking away from the clarity of the explanation. While humor is engaging for viewers, it can also distract them from the core learning. However, dry learning videos can also be ineffective if they do not interest viewers in the material that is being taught. I chose to combine some serious examples with a humorous one to meet both needs, and also to appeal to different kinds of learners. The video has met with lots of positive feedback, both from fellow students and colleagues.</p>

						<h3>3.2 Diffusion of Innovations</h3>
							<p>Diffusion of innovations is the process of communicating through planned strategies for the purpose of gaining adoption (AECT, 2000). In EDTECH 501 I wrote a paper "Coming to Life" exploring the use of <a href="http://www.lifelong-learner.com/BSU/papers/501-ComingToLife.html" target="_blank">virtual worlds to teach social skills</a> to students with Asperger's Syndrome (AS) and high functioning autism (HFA). Virtual environments (VE) have a lot of potential in teaching social skills to students with AS or HFA. They can be used to create more realistic and engaging Social Stories for students that also provide a safe environment in which to practice the skills they are learning. In my paper I conclude that more research is needed to determine the best use of VEs for this purpose and to encourage adoption of the practice. I felt very passionate about using this technique to serve this population and later expanded on this paper to write a thesis proposal for research on this topic.</p>

						<h3>3.3 Implementation and Institutionalization</h3>
* 							<p>Implementation is using instructional materials or strategies in real (not simulated) settings. Institutionalization is the continuing, routine use of the instructional innovation in the structure and culture of an organization (AECT, 2000). During EDTECH 597 I developed a lesson plan <a href="http://www.lifelong-learner.com/BSU/papers/597-PlayingFractions.html" target="_blank">Playing with Fractions</a> for using a game to teach fractions. In the lesson students get practice adding unlike fractions (fractions with different denominators). The lesson was designed for students who have had previous lessons on this topic and have a basic understanding of how to add unlike fractions, but need more practice applying the knowledge. The game used for the lesson ties the math theory to real life situations to make the ideas more concrete to students and more understandable, utilizing one of the advantages of game based learning - that of providing context for theoretical information.</p>

							<p>I love the power of social media, and think it is something that appeals to many teens even if they don't always understand why. I had an idea for a collaborative role playing project for high school students using Twitter, and I wanted to share the experience with other educators so I implemented the project along with a few other teachers as we acted out the <a href="http://pesachtwitplay.wordpress.com/about-the-passover-twitter-play/" target="_blank">Passover Exodus story using Twitter</a> to express our various characters. The educators involved in the project found it a unique mode of expression and thought it would encourage their students to be engaged with the story on a different level than usual.</p>

						<h3>3.4 Policies and Regulations</h3>
							<p>Policies and regulations are the rules and actions of society (or its surrogates) that affect the diffusion and use of Instructional Technology (AECT, 2000). In EDTECH 521 I created a lesson on rules of <a href="http://www.lifelong-learner.com/forensics/netiquette.html" target="_blank">Netiquette for middle school students</a>. Today, even traditional F2F classes use many online resources and communication tools. It is important that students of all ages understand appropriate rules of behavior online and how the online environment differs from face to face interaction. This lesson will serve as the basis of every online course I develop because it's so important for all students.</p>

						<h3>STANDARD 4: MANAGEMENT</h3>
							<p><i>Candidates demonstrate knowledge, skills, and dispositions to plan, organize, coordinate, and supervise instructional technology by applying principles of project, resource, delivery system, and information management.</i></p>

						<h3>4.1 Project Management</h3>
							<p>Project management involves planning, monitoring, and controlling instructional design and development projects (AECT, 2000). In a project for EDTECH 597 to teach a unit on the physical <a href="http://www.youtube.com/watch?v=A843PL6Yejs" target="_blank">effects of heat on expansion</a> of objects, I chose to create an entertaining video on the topic. It was the first video I produced where I needed the help of several kids, since I had a number of character voices to record for the animation. I was able to find several friends of my children who were happy to help out, and realized I had a number of challenges to deal with. This video was the first time I created something that was more than a one-man project. As the project producer I had to coordinate every aspect of the video. I had to make sure the script taught the appropriate lessons, from an educational perspective. I had to adjust every detail of the visual experience to make sure it made sense to viewers. And, I had to coordinate and inspire the group of kids doing voice acting for the video. I learned that directing kids is certainly more complicated than working on a project by myself, but it was a lot of fun and was a very rewarding experience.</p>
 							<p>Over the past two summers I've been teaching a Digital Storytelling summer camp for middle school students that I developed because of my love for, well, storytelling. I wanted to provide an outlet for creative kids who can enjoy alternate forms of expression, and to introduce them to a more visual method of storytelling. I've learned so much from teaching this class that I wanted to share it with other teachers interested in doing Digital Storytelling with their students so I created a website about <a href="http://teachdigitalstorytelling.yolasite.com/" target="_blank">Teaching Digital Storytelling</a> as a free resource for other teachers. The website emphasizes the project-based aspect of using Digital Storytelling as a classroom tool, and teaches educators what different aspects are involved in creating storytelling projects beyond the technology.  I focus on starting with simple techniques and determining project goals, rather than getting caught up in learning complicated technology. In my experience, this is key to not getting overwhelmed when working with students and technology. An important aspect of project management is managing the potential problems that arise; this website deals with that by providing resources for deepening students' understanding of copyright issues.</p>

						<h3>4.2 Resource Management</h3>
							<p>Resource management involves planning, monitoring, and controlling resource support systems and services (AECT, 2000). For EDTECH 504 I wrote a paper outlining child development theories that impact <a href="http://www.lifelong-learner.com/BSU/papers/504-ATinSpecialEd.html" target="_blank">choice of assistive technology in special ed</a>.  AT is a powerful tool for students with disabilities. AT can increase learning options for students with special needs and encourage development of skills. However, it is important to determine whether use of a specific technology in a specific learning situation will help a student meet their learning goals, or serve as a crutch and prevent development of new skills. The research I did for this paper served to inform all other projects I've worked on that involve special ed. </p>

						<h3>4.3 Delivery System Management</h3>
							<p>Delivery system management involves planning, monitoring and controlling 'the method by which distribution of instructional materials is organized' . . . [It is] a combination of medium and method of usage that is employed to present instructional information to a learner (AECT, 2000). Since many teachers do not have access to hosting on a school network, or have a budget for extra technology resources, I like to emphasize methods of tech integration that are self hosted and free. Several web 2.0 tools meet this criterion, and wikis are a particular flexible web 2.0 tool. One example of wiki use is the <a href="http://virtual-icebreakers.wikispaces.com/" target="_blank">Virtual Icebreaker Wiki</a> I created collaboratively in EDTECH 523. It was a great experience for me because even though I often work with a team, it is usually a team made up of individuals each working on their own part of the project. We rarely contribute to create one unified document as with this wik. It reminded me that although students often prefer working alone when they think they know what to do, there is always something to learn from other other students. In my Digital Storytelling summer camp I have to students working at each computer, and there are always the inevitable arguments among team members. I was struggling with the question of whether the "forced" collaboration was worthwhile if it meant more discipline issues to deal with, but this project was a reminder of how collaboration changes the quality of the experience; it's so much more than just two students sharing a computer. They are sharing ideas and thereby creating ideas neither one would have come up with on their own.</p>

						<h3>4.4 Information Management</h3>
							<p>Information management involves planning, monitoring, and controlling the storage, transfer, or processing of information in order to provide resources for learning (AECT, 2000). Effective online instruction revolves around the ability to create a supportive learning community (Palloff & Pratt, 2007). Additionally, in the online environment there is a greater need for teacher facilitation of teamwork than there is in a F2F class where students may be more comfortable talking to each other (Palloff & Pratt, 2005). For EDTECH 523 I wrote a <a href="http://www.lifelong-learner.com/BSU/papers/523-CommunicationPlan.html" target="_blank">Communication Plan</a> as a guide for the online course I was preparing to teach. It was very helpful to have a plan for management of the information flow that occurs in an online class and helped make the experience a success.</p>
							<p>As I've progressed through the EDTECH program at BSU I've found myself interested in all kinds of edtech related topics. I've spent time researching ideas that occur to me in and out of class. Since not everything is relevant for a class project I created a <a href="http://www.brain-basedlearning.com" target="_blank">EdTech blog</a> called Brain Based Learning where I could further explore issues that caught my attention. In addition to providing an outlet for me to organize my thoughts in a clear way, it also provides a way for me to connect with other educators and transfer knowledge by making my blog posts public. The feedback I've received in the comments on my blog have helped me process and refine the ideas that I blog about. I find it an efficient way to create and collect resources for learning.</p>

						<h3>STANDARD 5: EVALUATION</h3>
							<p><i>Candidates demonstrate knowledge, skills, and dispositions to evaluate the adequacy of instruction and learning by applying principles of problem analysis, criterion-referenced measurement, formative and summative evaluation, and long-range planning.</i></p>

						<h3>5.1 Problem Analysis</h3>
							<p>Problem analysis involves determining the nature and parameters of the problem by using information-gathering and decision-making strategies (AECT, 2000). In EDTECH 503 I conducted a <a href="https://spreadsheets.google.com/viewform?hl=en&formkey=dHFNRkhMZEpLZVU4cG53NVFMREJILXc6MQ" target="_blank">Needs Analysis Survey</a> for the online web development course I was developing. The web training center determined that a significant number of students would be interested in taking an asynchronous online class in order to receive training. A concern was raised that students, although interested in the conveniences of an online course, might lack the necessary motivation and maturity to follow through and successfully complete the course so a sample 3-hour lesson was developed to test the waters. To determine the appropriateness of offering an online course, I developed and administered an analysis survey with a group of students who were part of the target population for this course. The survey helped develop a course with the right level of support for students so they were able to succeed in their first foray into online learning.</p>

						<h3>5.2 Criterion-Referenced Measurement</h3>
							<p>Criterion-referenced measurement involves techniques for determining learner mastery of pre-specified content (AECT, 2000). For EDTECH 502 I created a <a href="http://www.lifelong-learner.com/scavenger/scavenger.html" target="_blank">Copyright Scavenger Hunt</a> to teach students to think more critically about copyright issues. The scavenger hunt encourages students to explore the limits of copyright on their own, since student exploration fosters high level thinking. Additionally, the scavenger hunt provides answers to the questions so students can measure their own learning. I used this scavenger hunt with my Web Development students when we talked about using images and content to create websites. I got positive feedback from my students, one of whom said that having the answer key helped her learn the material since she had a reference and could easily go back and review the sources with the criteria in mind. This model promotes mastery of the subject.</p>

						<h3>5.3 Formative and Summative Evaluation</h3>
							<p>Formative evaluation involves gathering information on adequacy and using this information as a basis for further development. Summative evaluation involves gathering information on adequacy and using this information to make decisions about utilization (AECT, 2000). In EDTECH 505 I learned how to conduct formal evaluations of educational projects and applied this knowledge to plan an <a href="http://www.lifelong-learner.com/BSU/papers/Evaluation-of-video-in-a-social-skills-group.pdf" target="_blank">evaluation of video use in a social skills group of students with Asperger's</a>. While the evaluation did not go according to plan, because of time constraints, I learned a lot about the constraints inherent in performing evaluations - really, any research, especially in an educational setting where you are dealing with people and not test tubes.</p>

						<h3>5.4 Long-Range Planning</h3>
							<p>Long-range planning that focuses on the organization as a whole is strategic planning. Long-range is usually defined as a future period of about three to five years or longer. During strategic planning, managers are trying to decide in the present what must be done to ensure organizational success in the future (AECT, 2000). Since I was originally admitted to the M.S. program, which required a thesis for graduation, I enrolled in EDTECH 561. My thesis proposal focused on a plan to carry out research on the <a href="http://www.lifelong-learner.com/BSU/papers/GopinE-finalPaper.pdf" target="_blank">use of interactive video modeling for teaching social skills in Asperger's (AS) and high functioning autism (HFA)</a>. Children with AS/HFA have trouble developing appropriate social skills, and this is a population that has a great need for training since their other skills are at a functional level and they tend to be mainstreamed into regular classrooms with typically developing peers. However, research on effective treatment for this population is so far limited, so it can be difficult for therapists to come up with an appropriate long term treatment strategy. More research in this area, as planned in my thesis proposal, would help case managers decide what should be done to help a child with AS/HFA to flourish. I hope to have the opportunity to carry out this or similar research in the future.</p>

						<h3>Conclusion</h3>
							<p>Throughout my journey, I reflected on my understanding of educational technology and how that understanding changed during my time in the EDTECH program. I am now able to back up my beliefs with a solid grounding in applicable theory that comes from surveying the literature. In creating each of the artifacts in my portfolio I started with a foundation of research and built innovative, real-world projects. I now feel I have the knowledge and skills to continue to meet the challenge of designing and evaluating dynamic learning tools in the constantly evolving world of technology.</p>

						<h3>References</h3>
							<p>Alessi, S.M., & Trollip, S.R. (2001). Multimedia for learning: Methods and development. Boston, MA: Allyn and Bacon.</p>
							<p>Gustafson, K.L., & Branch, R.M. (2002). Survey of instructional development models (4th ed.). Syracuse, NY: Information Resources Publications, Syracuse University.</p>
							<p>Krug, S. (2006). Don't make me think: A common sense approach to web usability (2nd ed.). Berkeley, CA: New Riders Publishing.</p>
							<p>Lohr, L. (2008). Creating graphics for learning and performance: lessons in visual literacy (2nd ed.). Upper Saddle River, N.J.: Pearson/Merrill/Prentice Hall.</p>
							<p>Palloff, R. & Pratt, K. (2007). Building Online Learning Communities: Effective Strategies for the Virtual Classroom. San Francisco, CA: Josse Bass Higher and Adult Education.</p>
							<p>Palloff, R. & Pratt, K. (2005). Collaborating Online. San Francisco, CA: Josse Bass Higher and Adult Education. </p>
							<p>Smith, P. L., & Ragan, T. J. (2005). Instructional design (3rd ed.). Hoboken, NJ: John Wiley & Sons, Inc.</p>
							<p>Trenholm, S. (2001). Thinking through communication (3rd ed.). Boston, MA: Allyn and Bacon.</p>
						</div>
					</div>
					<div style="clear: both;">&nbsp;</div>
				</div>
				<!-- end #content -->

<?php include "template_bot.php" ?>

